Bug 462601 - Nested orderedlists disregard numeration="upperalpha"
Nested orderedlists disregard numeration="upperalpha"
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 09:40 EDT by Jeroen van Meeuwen
Modified: 2010-11-23 23:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 23:13:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-09-17 09:40:26 EDT
Description of problem:

The following snippet (nested orderedlist) disregards the fact
<orderedlist numeration="arabic">
    <listitem>
        <para>
            some question
            <orderedlist numeration="upperalpha" continuation="restarts">
                <listitem>
                    <para>
                        Answer A
                    </para>
                </listitem>
                <listitem>
                    <para>
                        Answer B
                    </para>
                </listitem>
                <listitem>
                    <para>
                        Answer C
                    </para>
                </listitem>
                <listitem>
                    <para>
                        Answer D
                    </para>
                </listitem>
            </orderedlist>
        </para>
    </listitem>
</orderedlist>

Version-Release number of selected component (if applicable):

[jmeeuwen@ghandalf courses]$ rpm -qva publican*
publican-genome-1.0.0-1.fc10.noarch
publican-fedora-0.13-0.fc10.noarch
publican-0.34-0.fc10.noarch

Actual results:

1. some question
  1. Answer A
  2. Answer B
  3. Answer C
  4. Answer D

Expected results:

1. some question
  A. Answer A
  B. Answer B
  C. Answer C
  D. Answer D
Comment 1 Jeff Fearn 2008-09-29 23:13:33 EDT
This bug affected XHTML output as the numeration was being lost in transformation and the numeration settings were missing from the css.
Comment 2 Fedora Update System 2008-10-16 18:43:35 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 3 Fedora Update System 2008-11-06 21:54:51 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.